Devel::Cover::DB::IO::Storable(3pm)

NAME
Devel::Cover::DB::IO::Storable - Storable based IO routines for Devel::Cover::DB

VERSION
version 1.51

SYNOPSIS
 use Devel::Cover::DB::IO::Storable;

 my $io = Devel::Cover::DB::IO::Storable->new;
 my $data = $io->read($file);
 $io->write($data, $file);

DESCRIPTION
This module provides Storable based IO routines for Devel::Cover::DB.

SEE ALSO
 Devel::Cover

METHODS

  new
 my $io = Devel::Cover::DB::IO::Storable->new;

Constructs the IO object.

  read
 my $data = $io->read($file);

Returns a perl data structure representing the data read from $file.

  write
 $io->write($data, $file);

Writes $data to $file in the format specified when creating $io.

BUGS
Huh?

LICENCE
Copyright 2011-2025, Paul Johnson (paul@pjcj.net)

This software is free. It is licensed under the same terms as Perl itself.

The latest version of this software should be available from my homepage: https://pjcj.net